cURL
curl --request PATCH \ --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/onprem-schedulers \ --header 'Content-Type: application/json' \ --data ' { "object": { "spec": { "connection_status": { "connection_state": "CONNECTION_STATE_UNSPECIFIED", "last_updated": "2023-11-07T05:31:56Z" }, "endorctl_config": { "image": "<string>", "max_duration": 123, "tag": "<string>" }, "scheduler_config": { "image": "<string>", "max_running_jobs": 123, "tag": "<string>" }, "scheduler_version": "<string>", "use_bazel_cache": true }, "tenant_meta": {} }, "request": { "force": true, "update_mask": "<string>" } } '
{ "meta": { "name": "<string>", "annotations": {}, "create_time": "2023-11-07T05:31:56Z", "created_by": "<string>", "description": "<string>", "index_data": { "data": [ "<string>" ], "search_score": 123, "tenant": "<string>", "will_be_deleted_at": "2023-11-07T05:31:56Z" }, "kind": "<string>", "parent_kind": "<string>", "parent_uuid": "<string>", "references": {}, "tags": [ "<string>" ], "update_time": "2023-11-07T05:31:56Z", "updated_by": "<string>", "upsert_time": "2023-11-07T05:31:56Z", "version": "<string>" }, "spec": { "api_credentials": { "key": "<string>", "secret": "<string>" }, "azure": { "managed_identity_client_id": "<string>", "enable_managed_identity": true }, "connection_status": { "connection_state": "CONNECTION_STATE_UNSPECIFIED", "last_updated": "2023-11-07T05:31:56Z" }, "endorctl_config": { "image": "<string>", "max_duration": 123, "tag": "<string>" }, "gcp": { "service_account": "<string>" }, "helm_values": "<string>", "scheduler_config": { "image": "<string>", "max_running_jobs": 123, "tag": "<string>" }, "scheduler_version": "<string>", "use_bazel_cache": true }, "tenant_meta": { "namespace": "<string>" }, "uuid": "<string>" }
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Request to update an onprem scheduler.
Show child attributes
Message used for all update requests.
A successful response.
Common fields for all Endor Labs resources.
Tenant related data for the tenant containing the resource.
The UUID of the onprem scheduler.